diff -Nru dist-3.5-36.0001/mcon/U/d_usendir.U dist-3.5-236/mcon/U/d_usendir.U
--- dist-3.5-36.0001/mcon/U/d_usendir.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_usendir.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_usendir.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_usleep.U dist-3.5-236/mcon/U/d_usleep.U
--- dist-3.5-36.0001/mcon/U/d_usleep.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_usleep.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_usleep.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_uwait.U dist-3.5-236/mcon/U/d_uwait.U
--- dist-3.5-36.0001/mcon/U/d_uwait.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_uwait.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_uwait.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_vfork.U dist-3.5-236/mcon/U/d_vfork.U
--- dist-3.5-36.0001/mcon/U/d_vfork.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/d_vfork.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_vfork.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_voidsig.U dist-3.5-236/mcon/U/d_voidsig.U
--- dist-3.5-36.0001/mcon/U/d_voidsig.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_voidsig.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_voidsig.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_volatile.U dist-3.5-236/mcon/U/d_volatile.U
--- dist-3.5-36.0001/mcon/U/d_volatile.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_volatile.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_volatile.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,7 +18,7 @@
 ?RCS: Revision 3.0  1993/08/18  12:07:57  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?MAKE:d_volatile: cat +cc +ccflags rm Setvar
+?MAKE:d_volatile: cat +cc +ccflags rm_try Setvar
 ?MAKE:	-pick add $@ %<
 ?S:d_volatile:
 ?S:	This variable conditionally defines the HASVOLATILE symbol, which
@@ -75,5 +75,5 @@
 fi
 set d_volatile
 eval $setvar
-$rm -f try.*
+$rm_try
 
diff -Nru dist-3.5-36.0001/mcon/U/d_vprintf.U dist-3.5-236/mcon/U/d_vprintf.U
--- dist-3.5-36.0001/mcon/U/d_vprintf.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_vprintf.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_vprintf.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_vsnprintf.U dist-3.5-236/mcon/U/d_vsnprintf.U
--- dist-3.5-36.0001/mcon/U/d_vsnprintf.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_vsnprintf.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_vsnprintf.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_wait3.U dist-3.5-236/mcon/U/d_wait3.U
--- dist-3.5-36.0001/mcon/U/d_wait3.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_wait3.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_wait3.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_wait4.U dist-3.5-236/mcon/U/d_wait4.U
--- dist-3.5-36.0001/mcon/U/d_wait4.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_wait4.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_wait4.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_waitpid.U dist-3.5-236/mcon/U/d_waitpid.U
--- dist-3.5-36.0001/mcon/U/d_waitpid.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_waitpid.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_waitpid.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_wcstombs.U dist-3.5-236/mcon/U/d_wcstombs.U
--- dist-3.5-36.0001/mcon/U/d_wcstombs.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_wcstombs.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_wcstombs.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_wctomb.U dist-3.5-236/mcon/U/d_wctomb.U
--- dist-3.5-36.0001/mcon/U/d_wctomb.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_wctomb.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_wctomb.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_wifstat.U dist-3.5-236/mcon/U/d_wifstat.U
--- dist-3.5-36.0001/mcon/U/d_wifstat.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_wifstat.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_wifstat.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_xdrs.U dist-3.5-236/mcon/U/d_xdrs.U
--- dist-3.5-36.0001/mcon/U/d_xdrs.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_xdrs.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_xdrs.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/ebcdic.U dist-3.5-236/mcon/U/ebcdic.U
--- dist-3.5-36.0001/mcon/U/ebcdic.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/ebcdic.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,19 +1,19 @@
-?RCS: $Id: ebcdic.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Copyright (c) 1998 Andy Dougherty
 ?RCS:
 ?RCS:	Original author Jarkko Hietaniemi <jhi@iki.fi>
 ?RCS:	Merged into dist by Andy Dougherty  July 13, 1998
 ?RCS:
-?MAKE:ebcdic: Compile Setvar cat rm run
+?MAKE:ebcdic: Compile Setvar cat rm_try run
 ?MAKE:	-pick add $@ %<
 ?S:ebcdic:
 ?S:	This variable conditionally defines EBCDIC if this
@@ -52,7 +52,7 @@
 	echo "I'm unable to compile the test program." >&4
 	echo "I'll assume ASCII or some ISO Latin. Or UTF8." >&4
 fi
-$rm -f try try.*
+$rm_try
 set ebcdic
 eval $setvar
 
diff -Nru dist-3.5-36.0001/mcon/U/enablenls.U dist-3.5-236/mcon/U/enablenls.U
--- dist-3.5-36.0001/mcon/U/enablenls.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/enablenls.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: enablenls.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/End.U dist-3.5-236/mcon/U/End.U
--- dist-3.5-36.0001/mcon/U/End.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/End.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: End.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -12,12 +12,12 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:51  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit serves as the goal which forces make to choose all the units that
 ?X: ask questions.  The $W on the ?MAKE: line is the list of all symbols wanted.
 ?X: To force any unit to be included, copy this unit to your private U directory
 ?X: and add the name of the unit desired to the ?MAKE: dependency line.
-?X: 
+?X:
 ?MAKE:End: $W
 ?MAKE:	-pick add $@ %<
 ?LINT:use $W
diff -Nru dist-3.5-36.0001/mcon/U/errnolist.U dist-3.5-236/mcon/U/errnolist.U
--- dist-3.5-36.0001/mcon/U/errnolist.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/errnolist.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: errnolist.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -24,18 +24,18 @@
 ?S:	definition of the sys_errnolist array, if the C library
 ?S:	doesn't provide it already.  Otherwise, its value is empty.
 ?S:	The following lines should be included in your Makefile.SH:
-?S:	
+?S:
 ?S:		case "$errnolist" in
 ?S:		'') ;;
 ?S:		*)
 ?S:			$spitshell >>Makefile <<!GROK!THIS!
 ?S:		$errnolist_c: $errnolist_SH $errnolist_a
 ?S:			sh ./$errnolist_SH
-?S:	
+?S:
 ?S:		!GROK!THIS!
 ?S:			;;
 ?S:		esac
-?S:	
+?S:
 ?S:	You may define the 'errnolist' variable in your Myinit.U if you
 ?S:	wish to override its default value "errnolist".
 ?S:.
diff -Nru dist-3.5-36.0001/mcon/U/etc.U dist-3.5-236/mcon/U/etc.U
--- dist-3.5-36.0001/mcon/U/etc.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/etc.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: etc.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Extractall.U dist-3.5-236/mcon/U/Extractall.U
--- dist-3.5-36.0001/mcon/U/Extractall.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Extractall.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Extractall.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Extract.U dist-3.5-236/mcon/U/Extract.U
--- dist-3.5-36.0001/mcon/U/Extract.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Extract.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Extract.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,13 +18,13 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:52  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a shell script which can be doted in order to extract
 ?X: .SH files with variable substitutions.
 ?X:
 ?X: When running Configure from a remote directory ($src is not '.'),
 ?X: then the files will be created in that directory, so beware!
-?X: 
+?X:
 ?MAKE:Extract: Mkdirp src
 ?MAKE:	-pick add $@ %<
 ?F:./extract
diff -Nru dist-3.5-36.0001/mcon/U/fieldn.U dist-3.5-236/mcon/U/fieldn.U
--- dist-3.5-36.0001/mcon/U/fieldn.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/fieldn.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: fieldn.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/filexp_path.U dist-3.5-236/mcon/U/filexp_path.U
--- dist-3.5-36.0001/mcon/U/filexp_path.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/filexp_path.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: filexp_path.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Filexp.U dist-3.5-236/mcon/U/Filexp.U
--- dist-3.5-36.0001/mcon/U/Filexp.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Filexp.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Filexp.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -19,10 +19,10 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:53  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a shell script which will expand filenames beginning
 ?X: with tildes.  The script is deleted at the end of Configure.
-?X: 
+?X:
 ?MAKE:Filexp: startsh sed test expr eunicefix
 ?MAKE:	-pick add $@ %<
 ?F:./filexp
@@ -31,11 +31,15 @@
 cat >filexp <<EOSS
 $startsh
 : expand filename
+?X:
+?X: The case entries below escape the ~ as some shells have shown expansion
+?X: of the ~ during here-doc processing.
+?X:
 case "\$1" in
- ~/*|~)
+ \~/*|\~)
 	echo \$1 | $sed "s|~|\${HOME-\$LOGDIR}|"
 	;;
- ~*)
+ \~*)
 	if $test -f /bin/csh; then
 		/bin/csh -f -c "glob \$1"
 		failed=\$?
diff -Nru dist-3.5-36.0001/mcon/U/Findhdr.U dist-3.5-236/mcon/U/Findhdr.U
--- dist-3.5-36.0001/mcon/U/Findhdr.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Findhdr.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Findhdr.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Finish.U dist-3.5-236/mcon/U/Finish.U
--- dist-3.5-36.0001/mcon/U/Finish.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Finish.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: Finish.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: Finish.U,v $
 ?RCS: Revision 3.0.1.6  1995/02/15  14:09:30  ram
 ?RCS: patch51: now clearer about how to edit config.sh at the prompt (WED)
@@ -30,11 +30,11 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:55  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit is the very last one in the Configure script.  It runs all the
 ?X: SH files, which among other things produce config.h and (usually) Makefile.
 ?X: It offers to do a make depend if the Makefile contains that target.
-?X: 
+?X:
 ?MAKE:Finish: Chk_MANI Extract Myread Oldsym Magic_h cat rm contains \
 	test package make
 ?MAKE:	-pick add $@ %<
diff -Nru dist-3.5-36.0001/mcon/U/floatsize.U dist-3.5-236/mcon/U/floatsize.U
--- dist-3.5-36.0001/mcon/U/floatsize.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/floatsize.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: floatsize.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/fpostype.U dist-3.5-236/mcon/U/fpostype.U
--- dist-3.5-36.0001/mcon/U/fpostype.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/fpostype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: fpostype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,7 +18,7 @@
 ?MAKE:fpostype: Myread Typedef
 ?MAKE:	-pick add $@ %<
 ?S:fpostype:
-?S:	This variable defines Fpos_t to be something like fpost_t, long, 
+?S:	This variable defines Fpos_t to be something like fpost_t, long,
 ?S:	uint, or whatever type is used to declare file positions in libc.
 ?S:.
 ?C:Fpos_t:
diff -Nru dist-3.5-36.0001/mcon/U/fpu.U dist-3.5-236/mcon/U/fpu.U
--- dist-3.5-36.0001/mcon/U/fpu.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/fpu.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: fpu.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/GCC_pipe.U dist-3.5-236/mcon/U/GCC_pipe.U
--- dist-3.5-36.0001/mcon/U/GCC_pipe.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/GCC_pipe.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: GCC_pipe.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/gccvers.U dist-3.5-236/mcon/U/gccvers.U
--- dist-3.5-36.0001/mcon/U/gccvers.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/gccvers.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: gccvers.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -9,7 +9,7 @@
 ?RCS: of the source tree for dist 4.0.
 ?RCS:
 ?RCS: Copyright (c) 2000, Jarkko Hietaniemi
-?RCS: 
+?RCS:
 ?MAKE:gccversion gccosandvers: cat cpp rm +cc \
 	Myread Guess Options Oldconfig Loc osname osvers grep ccname
 ?MAKE:	-pick add $@ %<
diff -Nru dist-3.5-36.0001/mcon/U/Getfile.U dist-3.5-236/mcon/U/Getfile.U
--- dist-3.5-36.0001/mcon/U/Getfile.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Getfile.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: Getfile.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: Getfile.U,v $
 ?RCS: Revision 3.0.1.7  1997/02/28  15:01:06  ram
 ?RCS: patch61: getfile script now begins with "startsh"
@@ -36,11 +36,11 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:56  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a bit of shell code that must be dotted in in order
 ?X: to get a file name and make some sanity checks. Optionally, a ~name
 ?X: expansion is performed.
-?X:	
+?X:
 ?X: To use this unit, $rp and $dflt must hold the question and the
 ?X: default answer, which will be passed as-is to the myread script.
 ?X: The $fn variable must hold the file type (f or d, for file/directory).
@@ -70,7 +70,7 @@
 ?X:   rp='Where is the active file?'
 ?X:   . ./getfile
 ?X:   active="$ans"
-?X: 
+?X:
 ?X: If the 'p' (path) letter is specified along with 'l', then an answer
 ?X: without a leading / will be expected to be found in everyone's path.
 ?X:
@@ -218,7 +218,7 @@
 ?X: is defined, the original un-expanded answer which is stored in value
 ?X: would lead to "non-existent" error messages whilst ansexp has been
 ?X: properly expanded. -- Fixed by Jan.Djarv@sa.erisoft.se (Jan Djarv)
-?X: Always expand ~user if '/' was requested 
+?X: Always expand ~user if '/' was requested
 			case "$ansexp" in
 			/*) value="$ansexp" ;;
 ?X: Allow for c:/some/path and c:\some\path
diff -Nru dist-3.5-36.0001/mcon/U/gidtype.U dist-3.5-236/mcon/U/gidtype.U
--- dist-3.5-36.0001/mcon/U/gidtype.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/gidtype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: gidtype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/groupstype.U dist-3.5-236/mcon/U/groupstype.U
--- dist-3.5-36.0001/mcon/U/groupstype.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/groupstype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: groupstype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Original Author: Andy Dougherty <doughera@lafcol.lafayette.edu>
 ?RCS:
 ?RCS: $Log: groupstype.U,v $
@@ -22,7 +22,7 @@
 ?MAKE:	-pick add $@ %<
 ?INIT:groupstype=''
 ?S:groupstype:
-?S:	This variable defines Groups_t to be something like gid_t, int, 
+?S:	This variable defines Groups_t to be something like gid_t, int,
 ?S:	ushort, or whatever type is used for the second argument to
 ?S:	getgroups() and setgroups().  Usually, this is the same as
 ?S:	gidtype (gid_t), but sometimes it isn't.
@@ -31,8 +31,8 @@
 ?C:	This symbol holds the type used for the second argument to
 ?C:	getgroups() and setgroups().  Usually, this is the same as
 ?C:	gidtype (gid_t) , but sometimes it isn't.
-?C:	It can be int, ushort, gid_t, etc... 
-?C:	It may be necessary to include <sys/types.h> to get any 
+?C:	It can be int, ushort, gid_t, etc...
+?C:	It may be necessary to include <sys/types.h> to get any
 ?C:	typedef'ed information.  This is only required if you have
 ?C:	getgroups() or setgroups()..
 ?C:.
diff -Nru dist-3.5-36.0001/mcon/U/Guess.U dist-3.5-236/mcon/U/Guess.U
--- dist-3.5-36.0001/mcon/U/Guess.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Guess.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Guess.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -29,11 +29,11 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:57  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit hazards some guesses as to what the general nature of the system
 ?X: is.  The information it collects here is used primarily to establish default
 ?X: answers to other questions.
-?X: 
+?X:
 ?MAKE:Guess d_eunice d_xenix d_bsd d_linux d_dos d_os2 d_windows: cat test \
 	echo n c contains rm tr Loc eunicefix
 ?MAKE:	-pick add $@ %<
diff -Nru dist-3.5-36.0001/mcon/U/Head.U dist-3.5-236/mcon/U/Head.U
--- dist-3.5-36.0001/mcon/U/Head.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Head.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Head.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -42,10 +42,10 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:58  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This is the very first unit in the Configure script.  It is mostly just
 ?X: things to keep people from getting into a tizzy right off the bat.
-?X: 
+?X:
 ?MAKE:Head:
 ?MAKE:	-pick wipe $@ %<
 ?V:PATH p_ _exe me newsh
@@ -86,7 +86,7 @@
 ?X: by your version, not mine: It credits your work.
 ?X:
 
-# $Id: Head.U 167 2013-05-08 17:58:00Z rmanfredi $
+# $Id$
 #
 # Generated on <DATE> [metaconfig <VERSION>-<REVISION>]
 
diff -Nru dist-3.5-36.0001/mcon/U/h_fcntl.U dist-3.5-236/mcon/U/h_fcntl.U
--- dist-3.5-36.0001/mcon/U/h_fcntl.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/h_fcntl.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: h_fcntl.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/h_sysfile.U dist-3.5-236/mcon/U/h_sysfile.U
--- dist-3.5-36.0001/mcon/U/h_sysfile.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/h_sysfile.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: h_sysfile.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
